Bug 1567528 - opensm FTBFS on 7.5
Summary: opensm FTBFS on 7.5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: opensm
Version: 7.5
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: 7.6
Assignee: Honggang LI
QA Contact: Mike Stowell
URL:
Whiteboard:
Depends On:
Blocks: 1532680
TreeView+ depends on / blocked
 
Reported: 2018-04-14 19:06 UTC by Tuomo Soini
Modified: 2018-10-30 11:17 UTC (History)
7 users (show)

Fixed In Version: opensm-3.3.20-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 11:15:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
Suggested fix for build issue (1.09 KB, patch)
2018-04-14 19:06 UTC, Tuomo Soini
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3208 0 None None None 2018-10-30 11:17:03 UTC

Description Tuomo Soini 2018-04-14 19:06:25 UTC
Created attachment 1421832 [details]
Suggested fix for build issue

If you try to rebuild opensm-3.3.20-2.el7 you hit FTBFS because of wrong dependency.


checking infiniband/umad.h usability... no
checking infiniband/umad.h presence... no
checking for infiniband/umad.h... no
checking for umad_init in -libumad... no
BUILDSTDERR: configure: error: umad_init() not found. libosmvendor of type openib requires libibumad.


opensm has BR: libibumad-devel.

libibumad-devel has been provided by rdma-core-devel before. But on on 7.5 virtual provide for libibmad-devel has switched to wrong package (infiniband-diags-devel) and opensm can't be build.

Attached patch fixes opensm to use correct BuildRequires.

This might not be correct fix. Correct fix might also be removing new virtual Provide and obsolete from infiniband-diags-devel.

Comment 2 Tuomo Soini 2018-04-14 19:10:38 UTC
Minor issue in my report - libibumad-devel should be libibmad-devel

Comment 3 Honggang LI 2018-04-16 00:46:35 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=1540934
https://src.fedoraproject.org/cgit/rpms/opensm.git/commit/?id=30331ffe74f1c752db8cd5faa71f76473f116d6f

Issue had been fixed in Fedora. Will backport it for RHEL-7.6.

Thanks

Comment 4 Don Dutile (Red Hat) 2018-06-14 18:44:42 UTC
Honggang:
Is a fix needed for 7.6?
Pushing fix soon?

Comment 5 Honggang LI 2018-06-15 00:02:04 UTC
(In reply to Don Dutile from comment #4)
> Honggang:
> Is a fix needed for 7.6?

Yes

> Pushing fix soon?

Yes, I'm waiting for Mellanox's feedback of bz1543619 and bz1550163. Will fix this issue while rebase opensm to address those two features.

If I can't get feedback from Mellanox in next week, will fix this issue separately.

Comment 6 Don Dutile (Red Hat) 2018-06-15 16:10:19 UTC
(In reply to Honggang LI from comment #5)
But this bz is for OOB build, correct?
Brew is building opensm for 7.5 ?

Comment 7 Honggang LI 2018-06-17 09:38:04 UTC
(In reply to Don Dutile from comment #6)
> (In reply to Honggang LI from comment #5)
> But this bz is for OOB build, correct?

Yes, no functional change for opensm.

> Brew is building opensm for 7.5 ?

I don't know. But this bug was found with rhel-7.5 distro.

Comment 10 Mike Stowell 2018-06-20 18:03:19 UTC
= Reproduced =

$ rpmbuild --rebuild opensm-3.3.20-2.el7.src.rpm 
Installing opensm-3.3.20-2.el7.src.rpm
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
[...]
error: Failed build dependencies:
	libibmad-devel >= 1.3.12 is needed by opensm-3.3.20-2.el7.x86_64


= Verified =

$ rpmbuild --rebuild opensm-3.3.20-3.el7.src.rpm 
Installing opensm-3.3.20-3.el7.src.rpm
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
[...]
+ umask 022
+ cd /root/rpmbuild/BUILD
+ cd /root/rpmbuild/BUILD
+ rm -rf opensm-3.3.20
+ /usr/bin/gzip -dc /root/rpmbuild/SOURCES/opensm-3.3.20.tar.gz
+ /usr/bin/tar -xf -
+ STATUS=0
[...]
Executing(--clean): /bin/sh -e /var/tmp/rpm-tmp.myDqhy
+ umask 022
+ cd /root/rpmbuild/BUILD
+ rm -rf opensm-3.3.20
+ exit 0
$ echo $?
0
$ ls rpmbuild/RPMS/x86_64/
opensm-3.3.20-3.el7.x86_64.rpm            opensm-devel-3.3.20-3.el7.x86_64.rpm  opensm-static-3.3.20-3.el7.x86_64.rpm
opensm-debuginfo-3.3.20-3.el7.x86_64.rpm  opensm-libs-3.3.20-3.el7.x86_64.rpm

Comment 12 errata-xmlrpc 2018-10-30 11:15:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3208


Note You need to log in before you can comment on or make changes to this bug.